import { OnInit } from "@angular/core";
import { ConfigurablePropertyDtoDisplayFormatEnum, ConfigurationDto } from "@smallstack/axios-api-client";
import { ConfigurationStore } from "@smallstack/common-components";
import { SchemaFormBaseWidget } from "@smallstack/form-core-components";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
interface FormattedConfiguration extends ConfigurationDto {
    formattedValue: string;
    formattedKey: string;
}
export declare class ConfigurablePropertyInputComponent extends SchemaFormBaseWidget implements OnInit {
    private configurationStore;
    protected configurations$: Observable<FormattedConfiguration[]>;
    protected inlineCurrencyValue$: Observable<string>;
    protected currentConfiguration$: Observable<FormattedConfiguration>;
    protected displayFormat: ConfigurablePropertyDtoDisplayFormatEnum;
    protected configurationMenuOpened: boolean;
    ngOnInit(): void;
    constructor(configurationStore: ConfigurationStore);
    protected updateInlineCurrency(newValue: number): void;
    protected selectConfigurationKey(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigurablePropertyInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfigurablePropertyInputComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
export {};
