import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { UntypedFormBuilder } from "@angular/forms";
import { AxiosApiClient } from "@smallstack/axios-api-client";
import { TokenService } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import * as i0 from "@angular/core";
export declare class RegistrationComponent {
    private tokenService;
    private axiosApiClient;
    private notificationService;
    private fb;
    private cdr;
    newPassword: string;
    newEmail: string;
    readonly afterRegistration: EventEmitter<void>;
    constructor(tokenService: TokenService, axiosApiClient: AxiosApiClient, notificationService: NotificationService, fb: UntypedFormBuilder, cdr: ChangeDetectorRef);
    register(): () => Promise<void>;
    isFormValid(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegistrationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegistrationComponent, "smallstack-registration", never, {}, { "afterRegistration": "afterRegistration"; }, never, never, false, never>;
}
