import { CdkDragDrop } from "@angular/cdk/drag-drop";
import { OnInit } from "@angular/core";
import { MatLegacyDialog as MatDialog } from "@angular/material/legacy-dialog";
import { AxiosApiClient, DataTypeDto } from "@smallstack/axios-api-client";
import { DataStore } from "@smallstack/common-components";
import { PageableCrudStore } from "@smallstack/store";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class DNDBoardWidgetComponent extends BaseWidgetComponent implements OnInit {
    private dataStore;
    private dataDialog;
    private axiosApiClient;
    store: PageableCrudStore;
    errors: string[];
    property: string;
    type: DataTypeDto;
    indexProperty: string;
    columns: string[];
    groupedModels: {
        [prop: string]: any[];
    };
    unmappedItems: any[];
    constructor(dataStore: DataStore, dataDialog: MatDialog, axiosApiClient: AxiosApiClient);
    ngOnInit(): void;
    drop(event: CdkDragDrop<any[]>, targetProperty: string | undefined): Promise<void>;
    addNewElement(targetProperty: string | undefined): () => Promise<void>;
    private updateDndData;
    static ɵfac: i0.ɵɵFactoryDeclaration<DNDBoardWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DNDBoardWidgetComponent, "smallstack-cms-dnd-board-widget", never, {}, {}, never, never, true, never>;
}
