import { ActivatedRoute, Router } from "@angular/router";
import { BreakpointService, RouterUtilService } from "@smallstack/common-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class GridListViewWidgetV3Component extends BaseWidgetComponent {
    private router;
    private activatedRoute;
    private routerUtilService;
    private breakpointService;
    protected elements: any[];
    protected gridCellWidth$: import("rxjs").Observable<any>;
    constructor(router: Router, activatedRoute: ActivatedRoute, routerUtilService: RouterUtilService, breakpointService: BreakpointService);
    getLink(id: string): void;
    openMoreLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridListViewWidgetV3Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridListViewWidgetV3Component, "smallstack-grid-list-view-widget-v3", never, {}, {}, never, never, false, never>;
}
